<!DOCTYPE html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/admin.html}"
>
	<head>
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">
			Setting - Subject
		</title>
		<meta name="_csrf" th:content="${_csrf.token}"/>
		<meta name="_csrf_header" th:content="${_csrf.headerName}"/>
		<script th:inline="javascript">
			function editSubject(id, code , subject, subjectEn, abbreviation, prodi){
				document.getElementById('idSubject').value = id;
				document.getElementById('code').value = code;
				document.getElementById('subjectName').value = subject;
				document.getElementById('subjectNameEnglish').value = subjectEn;
				document.getElementById('abbreviation').value = abbreviation;
				document.getElementById('prodi').value = prodi;
				document.getElementById('cancel-button').style.display = 'block';
			}

			function cancelEdit() {
				document.getElementById('idSubject').value ='';
				document.getElementById('code').value ='';
				document.getElementById('subjectName').value ='';
				document.getElementById('subjectNameEnglish').value ='';
				document.getElementById('abbreviation').value ='';
				document.getElementById('prodi').value ='';
				document.getElementById('cancel-button').style.display = 'none';
			}

		</script>
	</head>
	<body layout:fragment="content">
		<div class="container mx-auto px-4 mb-6 mt-6 space-y-6">
			<!-- form -->
			<div th:replace="~{setting/subject/partials/form.html :: form}"></div>
			<div class="rounded-xl shadow bg-white dark:bg-gray-800">
				<!-- table header -->
				<div
					th:replace="~{setting/subject/partials/table-header.html :: tableHeader}"
				></div>
				<!-- table -->
				<div th:replace="~{setting/subject/partials/table.html :: table}"></div>
				<!-- table footer -->
				<div
					th:replace="~{setting/subject/partials/table-footer.html :: tableFooter}"
				></div>
			</div>
		</div>
	</body>
</html>
